corda / net.corda.node.services.messaging / NodeMessagingClient / Handler

# Handler

`data class Handler : MessageHandlerRegistration`

A registration to handle messages of different types

### Constructors

<init> | `Handler(topicSession: TopicSession, callback: (ReceivedMessage, MessageHandlerRegistration) -> Unit)` A registration to handle messages of different types

### Properties

callback | `val callback: (ReceivedMessage, MessageHandlerRegistration) -> Unit`
topicSession | `val topicSession: TopicSession`